Bug 248865 - ebtables shared libs normally installed in /usr/lib/ebtables
ebtables shared libs normally installed in /usr/lib/ebtables
Product: Fedora
Classification: Fedora
Component: ebtables (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-19 07:00 EDT by Mark McLoughlin
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-30 09:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2007-07-19 07:00:35 EDT
Just a minor discrepancy with the way ebtables is packaged

ebtables shared libs are usually installed in /usr/lib/ebtables and so the
binary has an rpath with this dir:

    $> readelf -d /sbin/ebtables | grep RPATH
    0x0000000f (RPATH)                      Library rpath: [/usr/lib/ebtables]

Fedora ebtables just installs these shlibs in /usr/lib, making the rpath redundant.

Suggest either following upstream and installing them in /usr/lib/ebtables or
removing the rpath.
Comment 1 Tom "spot" Callaway 2007-10-30 09:52:55 EDT
Files are now in %{_libdir}/ebtables.

Note You need to log in before you can comment on or make changes to this bug.